uniform mat4 mvpMatrix;
uniform mat4 mMatrix;
uniform vec4 color;

uniform float pulseDistance;
uniform float objDistance;

attribute vec3 position;
attribute vec3 normal;

varying vec3 v_wPosition;
varying vec3 v_Position;
varying vec3 v_normal;
varying vec4 v_color;

void main(void)
{
    gl_Position = mvpMatrix * vec4(position,1.0);

	vec4 wPosition = mMatrix * vec4(position,1.0);
    v_wPosition = wPosition.xyz;
    v_Position = position;
    v_normal = normal;
    v_color = color;

	if ( objDistance > pulseDistance - 2.0 && objDistance < pulseDistance + 2.0 )
    {
    	v_color=vec4(1.0,1.0,1.0,1.0);
    }
}

